{% extends "/guest/guest_default.twig" %}
{% block title %}{{ nome_territorio }} nominativi{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}

    <div class="row">
        <div class="col-lg-3 col-md-6">
            <h3>{{ nome_territorio }}
                <a class="btn btn-primary btn-outline" href="{{dirDefault}}/guest/mappa/{{ id_territorio }}">Mappa</a>
                <a class="btn btn-primary btn-outline" href="{{dirDefault}}/guest/territori/">Territori</a>
            </h3>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3 col-md-6">
            <div class="dataTable_wrapper">
                <table class="table table-striped table-bordered table-hover" id="dataTables-nominativi">
                    <thead>
                        <tr>
                            <th>Indirizzo</th>
                            <th width="10px">Co</th>
                            <th><btn class="btn btn-info" id="nuovo_nominativo" id_territorio="{{ id_territorio }}">+</btn></th>
                        </tr>
                    </thead>
                    <tbody>
                   {% for one in nominativi %}
                       <tr {% if one.status != 0 %}style="color:lightslategray" {% endif %}>
                           <td>{{ one.via }}, {{ one.civico }} {{ one.interno }}</td>
                           <td>{{ one.coordinata }}</td>
                           <td><btn class="btn btn-primary" onclick="show_note('{{ one.via }}, {{ one.civico }} {{ one.interno }}','{{ one.coordinata }}','{{ one.id_nominativo }}','{{ one.notes }}');return false;">Note</btn></td>
                       </tr>
                   {% endfor %}

                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12 col-md-12">
            <a class="col-md-12 btn btn-primary btn-outline" href="{{dirDefault}}/logout">Esci</a>
        </div>
    </div>

    <div id="modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <!--<button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>-->
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script>
        /* PROVIAMO UN PO SENZA DATATABLE
        $('#dataTables-nominativi').DataTable( {
            "paging": false,
        } );
        */
        //MODALE CON INFO NOMINATIVO
        function show_note(indirizzo, coo,id, note) {
            $(".modal .modal-title").html(indirizzo+"<br>"+coo);
            var body_content = "" +
                    "<span>Nota:"+note+"</span>" +
                    "<br><br>" +
                    "<textarea id='new_nota' style='width:100%' placeholder='note per il reparto'></textarea>";
            $(".modal .modal-body").html(body_content);
            var footer_content = '' +
                    '<button type="button" id="save_guest_nota" id_nominativo="id" class="btn btn-primary close_modal" data-dismiss="modal">Salva</button>'+
                    '<button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>';
            $(".modal .modal-footer").html(footer_content);
            $(".modal").modal("show");

            //SALVO NOTE MODALE
            $("#save_guest_nota").click(function(){
                var new_nota = $("#new_nota").val();
                if(new_nota.trim() != ''){
                    var request = $.ajax({
                        method: "post",
                        url: "{{dirDefault}}/guest/nominativi/salva_nota",
                        dataType: "json",
                        data: "id_nominativo="+id+"&new_nota="+new_nota
                    });
                    request.done(function( res ) {
                    });
                    request.fail(function( jqXHR, textStatus ) {
                        console.log("Errore "+ jqXHR +" | "+ textStatus);
                    });
                }
            });
        };
    </script>
{% endblock %}
